Subject: Re: [GSoC 2026 Inquiry] Refactoring global state

From: Tian Yuchen <[email-masked]>
Date: Tue, 17 Feb 2026 23:55:17 +0800

Hi karthik,

Thanks for the swift reply and encouraging words!

> AFAIK We don't have any specific subsystem to focus, albeit some
> subsystems are tightly coupled and hence can be more complex (e.g.
> 'setup.c'). So my advice would be to find a good balance, you could also
> take tips from the patches submitted from the previous year.

Point taken. My recent experience with the 'setup.c' patch definitely 
taught me to respect the complexity of that subsystem. I agree that 
making it the primary target for the entire summer might be too risky.

I will follow your advice to dig into archives and log to study how 
previous contributors structured their changes.

Thank you again for the feedback!

Regards,

Yuchen